#include <bits/stdc++.h>
using namespace std;

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	int t;
	cin>>t;
	int a,b;
	for(int i=0;i<t;i++){
	cin>>a>>b;
	if(max(a,b)/2>min(a,b))cout<<"-1"<<endl;
	else{
		for(int i=0;i<a;i++){
		
		for(int j=0;j<b;j++){
		if(i==0 || j==0 || i==a-1 || j==b-1)cout<<"1 ";
		else{
			if(i+j>a-1)cout<<"1 ";
			else cout<<"0 ";
		}
		}
		cout<<endl;
	}
	}
	}

return 0;
}